File:          eh-0.6.tar.gz
Author:        Christopher Cobb
Release:       0.6
Compatibility: PR
Location:      contrib/develop
Notes:

eh is an Error Handler.  It provides an error handling framework 
that is designed to make your software more robust.

The Error Handler provides the following features:

   1. RESOURCE TRACKING:  built-in tracking of ANSI resources.
         ANSI C: malloc(), calloc(), realloc(), free(), fopen(), 
                 fclose(), tmpfile(), fclose().
         ANSI C++: operators new and delete.
         Tracking of other resources can be easily added.

   2. FUNCTION TRACING:  emit messages upon function entry and 
         exit.  Volume of messages can be controlled at runtime.

   3. LOG FILE MANAGEMENT:  send error messages to stderr or log 
         file.  Destination of error messages can be dynamically 
         changed at runtime.  Log files are automatically cycled.

   4. ERROR MESSAGE MANAGEMENT:  error messages can be sent to one 
        of four error "channels".  Volume of messages on each 
        channel can be controlled at runtime.

   5. EXCEPTION TRACING:  integrated with function tracing to 
        provide a dynamic trace of exception as the exception is 
        being thrown. 

   6. CONTROL-C (USER INTERRUPT) HANDLING:  will cleanly and 
        transparently handle user interrupt requests with little or 
        no special coding.  The exception handling model 
        automatically accomodates user interrupts.

   7. TESTING:  built-in support for simulating (difficult-to-cause)
        exceptions.  

Disclaimer
==========

This alpha version (v 0.6) will compile and run in a C++ 
environment.  It has been tested in a Posix environment.
It is not yet fully thread safe (coming soon!).


Christopher Cobb
Cobb Software Engineering Guild, Inc.
ccobb@cseg.com
